> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/ArticleFeedSubscriptions ## OpenAPI ````json GET /v26.4/ArticleFeedSubscriptions { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/ArticleFeedSubscriptions": { "get": { "tags": [ "ArticleFeedSubscriptions" ], "parameters": [ { "name": "ArticleFeedId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ActiveOnly", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "LatestImportFileNumber", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "IncludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ExcludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "OrderBy", "in": "query", "schema": { "type": "string" } }, { "name": "ModifiedSinceDateTime", "in": "query", "schema": { "type": "string", "format": "date-time" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewArticleFeedSubscriptionDTO" } } }, "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewArticleFeedSubscriptionDTO" } } }, "text/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewArticleFeedSubscriptionDTO" } } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "BooleanFilter": { "enum": [ "All", "Yes", "No" ], "type": "string" }, "ViewArticleFeedSubscriptionDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "articleFeedId": { "type": "integer", "format": "int32", "nullable": true }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "latestImportFileNumber": { "type": "integer", "format": "int32", "nullable": true }, "active": { "type": "boolean", "default": false }, "articleFeedDescription": { "type": "string", "nullable": true }, "articleFeedCode": { "type": "string", "nullable": true }, "purchaseSupplierMode": { "$ref": "#/components/schemas/ArticleFeedPurchaseSupplierMode" }, "productPreferredSupplierMode": { "$ref": "#/components/schemas/ArticleFeedPreferredSupplierMode" }, "preferredSupplierId": { "type": "integer", "format": "int32", "nullable": true }, "companyName": { "type": "string", "nullable": true }, "companyNumber": { "type": "integer", "format": "int32", "nullable": true }, "createdByUser": { "type": "string", "nullable": true }, "lastModifiedByUser": { "type": "string", "nullable": true } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false }, "ArticleFeedPurchaseSupplierMode": { "enum": [ "NotSpecified", "UseOriginalSupplier", "UseSpecifiedSupplier", "UseBothSuppliers" ], "type": "string" }, "ArticleFeedPreferredSupplierMode": { "enum": [ "NotSpecified", "DoNotModifyPreferredSupplier", "SetOriginalSupplier", "SetSpecifiedSupplier" ], "type": "string" } } } } ````